org.keycloak.policy

## Class RegexPatternsPasswordPolicyProvider

- java.lang.Object
- - org.keycloak.policy.RegexPatternsPasswordPolicyProvider

- All Implemented Interfaces:
    PasswordPolicyProvider, Provider

      public class RegexPatternsPasswordPolicyProvider
      extends Object
      implements PasswordPolicyProvider

  Author:
    Stian Thorgersen

- - ### Field Summary

    - ### Fields inherited from interface org.keycloak.policy.PasswordPolicyProvider

      `INT_CONFIG_TYPE, STRING_CONFIG_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegexPatternsPasswordPolicyProvider(KeycloakContext context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `Object` | `parseConfig(String value)`
    `PolicyError` | `validate(RealmModel realm, UserModel user, String password)`
    `PolicyError` | `validate(String username, String password)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.policy.PasswordPolicyProvider

      `parseInteger`

- - ### Constructor Detail

    - #### RegexPatternsPasswordPolicyProvider

          public RegexPatternsPasswordPolicyProvider(KeycloakContext context)

  - ### Method Detail

    - #### validate

          public PolicyError validate(String username,
                                      String password)

      Specified by:
        `validate` in interface `PasswordPolicyProvider`

    - #### validate

          public PolicyError validate(RealmModel realm,
                                      UserModel user,
                                      String password)

      Specified by:
        `validate` in interface `PasswordPolicyProvider`

    - #### parseConfig

          public Object parseConfig(String value)

      Specified by:
        `parseConfig` in interface `PasswordPolicyProvider`

    - #### close

          public void close()

      Specified by:
        `close` in interface `Provider`

Copyright © 2021 JBoss by Red Hat. All rights reserved.